#define         OK      0
#define         ERROR   -1
#define         MAX_PATH 80
#define         OUI     1
#define         NON     2
#define         ON      1
#define         OFF     0
#define         MAXMSG 12512

#define         NOTINLIST    10
#define         AREANOTEXIST 11
#define         ORIFORBIDEN  12
#define         TARFORBIDEN  13

typedef struct ConfigType          /* LA STRUCTURE DE CONFIG      */
{
        char DirList[MAX_PATH]         ; /* dir.lst  utiliser                */
        char MessageBase[MAX_PATH]     ; /* base de message  utiliser        */
        char UserBase[MAX_PATH]        ; /* base des utilisateurs             */
        char UserFileNameError[MAX_PATH];/* user error text file              */
        char UserAreaError[MAX_PATH]   ; /* user error text file              */
        char UserOtherAreaError[MAX_PATH];/* user error text file              */
        char UserAreaOriForbid[MAX_PATH];/* user error text file              */
        char UserAreaTarForbid[MAX_PATH];/* user error text file              */
        char UserNeedForward[MAX_PATH] ; /* user error text file              */
        char ErrorLogFile[MAX_PATH]    ; /* Fichier log des erreurs system    */
        char UserLogFile[MAX_PATH]     ; /* Fichier log des erreurs utilisateur */
        char UseLogFile[MAX_PATH]      ; /* Fichier log des moves effectus   */
        char TempFile1[MAX_PATH]       ; /* Nom du fichier temporaire origine */
        char TempFile2[MAX_PATH]       ; /* Nom du fichier temporaire Destinat*/
        char ToField[30]               ; /* Nom du fichier temporaire Destinat*/
        char NotAreaOri[100]           ; /* liste de area interdit en origine */
        char NotAreaTar[100]           ; /* liste de area interdit en target  */
        char Security[10]              ; /* niveau de scurite minimum requis */
        char ForwardUser[30]           ; /* user  forward les messages      */
        char DebugFlag[12]             ; /* user  forward les messages      */
        char Language[12]              ; /* langue utilise                   */
} ;

extern struct ConfigType Config;

extern char Program_Name [];
extern char file_to_move [];
extern int area_ori, area_tar;
extern char FromField[];
extern char DateField[];
extern char HeureField[];
extern int  AreaFound;

extern char tampon[];
extern char tampon1[];
extern char far *init;
extern unsigned bloc;

extern char *__Version__ ;

/* ************************ proto des fonctions ****************** */

int      move();
int      charge_config (void);
int      ReadConfig(void);
void     puterrorlog(char *format,...);
void     putuserlog(char *format,...);
void     putuselog(char *format,...);
int      test_validite (void);
int      getfilelist(int area);
int      getfilename (int area);
int      getareaname (int area);
int      is_file_in_list (char *file);
void     where_to_put_tar (char *file);
int      maj_listes (void);
int      move_physique (char*, char*);
int      copy_physique (char*, char*);
int      renbak (char *file);
unsigned getmaxarea (void);
